Subject: bug#25590: Remove build number from emacs-version variable

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Feb 2017 17:32:21 +0200

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 05 Feb 2017 18:45:34 -0500
> 
> Eli Zaretskii wrote:
> 
> > If we do the above, we should make sure version-comparison functions
> > treat something like "25.2 (build 4)" correctly.
> 
> I disagree that this is desirable.

Can you explain why?  My reasoning was that if "25.2.4" is replaced by
"25.2 (build 4)", then Lisp code that compares version (e.g., I have
such code in my .emacs) will not work properly unless the
version-comparison functions are updated to support such values.

> > It's actually part of a version number (which many other projects
> > have, e.g., GDB just released version 7.12.1), except that we never
> > release such versions, they exist only on end-users' machines.  Other
> > than that, there's nothing in it which is special to Emacs.
> 
> I don't understand the comparison. A micro version number
> (major.minor.micro) is not the same thing as Emacs's build number.

I think it is.